#!/usr/bin/env node
/**
 * 脚本内容
 */
const program = require("commander");
const version = require("../package.json").version;
/**
 * version 定义版本号
 * usage 用法
 * command 命令
 * options 简介
 * parse   分析
 */
program
  .version(version, "-v,--version") //定义版本号
  .usage("<command> [options]") //用法
  .command("init", "从模板中生成新项目") //  Generate new project from template
  .command("list", "从模板中查询模板") // Query template from template
  .command("delete", "从模板列表中删除模板") // Delete a template from the template list
  .command("add", "从模板中新增模板") // Add template from template
  .command("replace", "从模板中找到指定模板进行替换") // Find the specified template from the template and replace it
  .parse(process.argv);
