const optionname = require("./optionname");

const optionpath = require("./optionpath");
/**
 *
 * @param {String} projectName
 * @param {String} templateName
 */
module.exports = function generate(projectName, templateName, done) {
  const name = optionname(projectName);
  const path = optionpath(templateName);
  const data = Object.assign({
    name: name,
    path: path,
  });
  return done(data);
};
